Package org.apache.sysds.runtime.instructions.spark

## Class ParameterizedBuiltinSPInstruction.RDDRemoveEmptyFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction.RDDRemoveEmptyFunction

- All Implemented Interfaces:
    `Serializable`, `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,​scala.Tuple2<MatrixBlock,​MatrixBlock>>,​MatrixIndexes,​MatrixBlock>`
  Enclosing class:
    ParameterizedBuiltinSPInstruction

      public static class ParameterizedBuiltinSPInstruction.RDDRemoveEmptyFunction
      extends Object
      implements org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,​scala.Tuple2<MatrixBlock,​MatrixBlock>>,​MatrixIndexes,​MatrixBlock>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RDDRemoveEmptyFunction​(boolean rmRows, long len, long blen)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Iterator<scala.Tuple2<MatrixIndexes,​MatrixBlock>>` | `call​(scala.Tuple2<MatrixIndexes,​scala.Tuple2<MatrixBlock,​MatrixBlock>> arg0)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDDRemoveEmptyFunction

          public RDDRemoveEmptyFunction​(boolean rmRows,
                                        long len,
                                        long blen)

  - ### Method Detail

    - #### call

          public Iterator<scala.Tuple2<MatrixIndexes,​MatrixBlock>> call​(scala.Tuple2<MatrixIndexes,​scala.Tuple2<MatrixBlock,​MatrixBlock>> arg0)
                                                                       throws Exception

      Specified by:
        `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,​scala.Tuple2<MatrixBlock,​MatrixBlock>>,​MatrixIndexes,​MatrixBlock>`
      Throws:
        `Exception`